TONTONDocs
TON CenterV3Jettons

applications/api/toncenter/v3/jettons/get-jetton-wallets

GET
/api/v3/jetton/wallets

Query Parameters

address?array<string>

Jetton wallet address in any form. Max: 1000.

owner_address?array<string>

Address of Jetton wallet's owner in any form. Max: 1000.

jetton_address?array<string>

Jetton Master in any form.

exclude_zero_balance?boolean

Exclude jetton wallets with 0 balance.

limit?integer

Limit number of queried rows. Use with offset to batch read.

Default10
Formatint32
Range1 <= value <= 1000
offset?integer

Skip first N rows. Use with limit to batch read.

Default0
Formatint32
Range0 <= value
sort?string

Sort jetton wallets by balance. Warning: results may be inconsistent during the read with limit and offset.

Value in"asc" | "desc"

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/jetton/wallets"
{
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "jetton_wallets": [
    {
      "address": "string",
      "balance": "string",
      "code_hash": "string",
      "data_hash": "string",
      "jetton": "string",
      "last_transaction_lt": "0",
      "mintless_info": {
        "amount": "string",
        "custom_payload_api_uri": [
          "string"
        ],
        "expire_at": 0,
        "start_from": 0
      },
      "owner": "string"
    }
  ],
  "metadata": {
    "property1": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    },
    "property2": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    }
  }
}
{
  "code": 0,
  "error": "string"
}

Last updated on